@echo off
rem Execute selected tests by name or all tests
rem Syntax:  runtests <testid1 testid2 ...>
rem
rem Set the configuration options in the setenv.bat file before running this
rem script
rem

setlocal

if EXIST "setenv.bat" goto CONT1
echo ERROR: Unable to find 'setenv.bat' configuration file
goto END
:CONT1

call setenv.bat

if not "%JAVA_HOME%" == "" goto CONT2
echo ERROR: Set JAVA_HOME in 'setenv.bat' before running this script.
goto END
:CONT2

if not "%JAVAX_ACTIVITY%" == "" goto CONT3
echo ERROR: Set JAVAX_ACTIVITY in 'setenv.bat' before running this script.
goto END
:CONT3

if not "%JSR95_IMPL_JARS%" == "" goto CONT4
echo ERROR: Set JSR95_IMPL_JARS in 'setenv.bat' before running this script.
goto END
:CONT4

if EXIST "%JAVA_HOME%\bin\java.exe" goto CONT5
echo ERROR: Set JAVA_HOME in 'setenv.bat' to the path of a valid jdk.
goto END
:CONT5

set DEBUG=-Dcom.ibm.activity.unittest.Trace=true

rem @echo on
%JAVACMD% -classpath "%CPATH%" com.ibm.activity.unittest.ASTest testdesc.txt %*

:END
endlocal
